### Constructor

# GimpUi ProcedureDialog new

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_new (
      GimpProcedure* procedure,
      GimpProcedureConfig* config,
      const gchar* title
    )

#### Description [src]

Creates a new dialog for `procedure` using widgets generated from properties of `config`. A `NULL` title will only be accepted if a menu label was set with `gimp_procedure_set_menu_label()` (this menu label will then be used as dialog title instead). If neither an explicit label nor a `procedure` menu label was set, the call will fail.

As for all `GtkWindow`, the returned `GimpProcedureDialog` object is owned by GTK and its initial reference is stored in an internal list of top-level windows. To delete the dialog, call gtk_widget_destroy().

#### Parameters

`procedure` | `GimpProcedure`
| The associated `GimpProcedure`.
| The data is owned by the caller of the function.
`config` | `GimpProcedureConfig`
| A `GimpProcedureConfig` from which properties will be turned into widgets.
| The data is owned by the caller of the function.
`title` | `const gchar*`
| A dialog title.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| The newly created `GimpProcedureDialog`.
| The data is owned by the called function.